(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     13324,        345]
NotebookOptionsPosition[     12084,        317]
NotebookOutlinePosition[     12545,        335]
CellTagsIndexPosition[     12502,        332]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8100541038490353`*^9, 3.8100541197025504`*^9}, {
  3.8100541561084185`*^9, 3.8100541997813177`*^9}, {3.8100542513849416`*^9, 
  3.8100543236508017`*^9}, {3.810054358358383*^9, 3.81005469752892*^9}, {
  3.810062267762314*^9, 3.810062275973431*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"60c16bf8-164a-4ac3-8516-f080db5d8c0d"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"1", "0", "0", "0"},
      {"1", "1", "0", "0"},
      {"1", "0", "1", "1"},
      {"0", "1", "0", "0"}
     }], "\[NoBreak]", ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B", "=", 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"0", "0", "1", "0"},
      {"0", "1", "0", "1"},
      {"1", "0", "1", "0"},
      {"1", "0", "1", "1"}
     }], "\[NoBreak]", ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"UnionBooleana", "[", 
  RowBox[{"A", ",", "B"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"InterseccionBooleana", "[", 
  RowBox[{"A", ",", "B"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ComplementoBooleano", "[", "A", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ProductoBooleano", "[", 
  RowBox[{"A", ",", "B"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ProductoBooleano", "[", 
  RowBox[{"B", ",", "A"}], "]"}]}], "Input",
 CellChangeTimes->{{3.810062289161666*^9, 3.8100622894978*^9}, 
   3.8100626892077265`*^9, {3.81006283657375*^9, 3.8100628909077835`*^9}, {
   3.81006297042298*^9, 3.8100630544849606`*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"9649f781-7e0f-48fb-a2d2-7b92f334dd8d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "1", "0"},
     {"1", "1", "0", "1"},
     {"1", "0", "1", "1"},
     {"1", "1", "1", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8100630563995624`*^9, 3.810065035836012*^9, 3.810065924735834*^9, {
   3.8101313058682137`*^9, 3.8101313184124765`*^9}},
 CellLabel->
  "Out[4]//MatrixForm=",ExpressionUUID->"e7b4d070-da99-4885-bf04-\
5ebadc679ec1"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0"},
     {"0", "1", "0", "0"},
     {"1", "0", "1", "0"},
     {"0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8100630563995624`*^9, 3.810065035836012*^9, 3.810065924735834*^9, {
   3.8101313058682137`*^9, 3.8101313184154687`*^9}},
 CellLabel->
  "Out[5]//MatrixForm=",ExpressionUUID->"4e748fc9-bfae-4ac0-9da0-\
c446195f7ace"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "1", "1", "1"},
     {"0", "0", "1", "1"},
     {"0", "1", "0", "0"},
     {"1", "0", "1", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8100630563995624`*^9, 3.810065035836012*^9, 3.810065924735834*^9, {
   3.8101313058682137`*^9, 3.8101313184174633`*^9}},
 CellLabel->
  "Out[6]//MatrixForm=",ExpressionUUID->"c5b9b200-a7f0-4867-b8ec-\
39a5a2fa11cc"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "1", "0"},
     {"0", "1", "1", "1"},
     {"1", "0", "1", "1"},
     {"0", "1", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8100630563995624`*^9, 3.810065035836012*^9, 3.810065924735834*^9, {
   3.8101313058682137`*^9, 3.810131318419458*^9}},
 CellLabel->
  "Out[7]//MatrixForm=",ExpressionUUID->"4c4c1db9-2905-4e1e-9f21-\
8db13b06ed92"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "1", "1"},
     {"1", "1", "0", "0"},
     {"1", "0", "1", "1"},
     {"1", "1", "1", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8100630563995624`*^9, 3.810065035836012*^9, 3.810065924735834*^9, {
   3.8101313058682137`*^9, 3.810131318422451*^9}},
 CellLabel->
  "Out[8]//MatrixForm=",ExpressionUUID->"e549b3ed-0744-453b-af72-\
ac91e97ba7b8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CDFOperacionesMBooleanas", "[", 
  RowBox[{"A", ",", "B"}], "]"}]], "Input",
 CellChangeTimes->{{3.810129037880522*^9, 3.810129074282069*^9}, {
  3.810131300913924*^9, 3.8101313028724594`*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"5c405a3b-1230-4647-b7ef-19713db4363d"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`RBVl10$$ = {{1, 0, 0, 0}, {1, 1, 0, 
    0}, {1, 0, 1, 1}, {0, 1, 0, 0}}, VilCretas`Private`RBVl11$$ = {{0, 0, 1, 
    0}, {0, 1, 0, 1}, {1, 0, 1, 0}, {1, 0, 1, 1}}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{
      Hold[
       Style["Matrices booleanas", Bold, Medium]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[VilCretas`Private`RBVl10$$], {{1, 0, 0, 0}, {1, 1, 0, 0}, {1, 0, 
       1, 1}, {0, 1, 0, 0}}, "A ="}}, {{
       Hold[VilCretas`Private`RBVl11$$], {{0, 0, 1, 0}, {0, 1, 0, 1}, {1, 0, 
       1, 0}, {1, 0, 1, 1}}, "B ="}}, {
      Hold[
       Style["Operaciones con las matrices booleanas: ", Bold, Medium]], 
      Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = {
    429., {491.65, 504.15}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {
       VilCretas`Private`RBVl10$$ = {{1, 0, 0, 0}, {1, 1, 0, 0}, {1, 0, 1, 
         1}, {0, 1, 0, 0}}, 
        VilCretas`Private`RBVl11$$ = {{0, 0, 1, 0}, {0, 1, 0, 1}, {1, 0, 1, 
         0}, {1, 0, 1, 1}}}, "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> If[
        And[
         MatrixQ[VilCretas`Private`RBVl10$$], 
         MatrixQ[VilCretas`Private`RBVl11$$]], 
        If[
         And[MemberQ[
            Flatten[VilCretas`Private`RBVl10$$], Null] == False, MemberQ[
            Flatten[VilCretas`Private`RBVl11$$], Null] == False], 
         Column[{
           Row[{"A=", 
             MatrixForm[VilCretas`Private`RBVl10$$], ", B=", 
             MatrixForm[VilCretas`Private`RBVl11$$], ":"}], 
           Row[{"A\[Or]B = ", 
             If[
              MemberQ[{
                VilCretas`UnionBooleana[
                VilCretas`Private`RBVl10$$, VilCretas`Private`RBVl11$$]}, 
               Null], "No existe", 
              VilCretas`UnionBooleana[
              VilCretas`Private`RBVl10$$, VilCretas`Private`RBVl11$$]]}], 
           Row[{"A\[And]B = ", 
             If[
              MemberQ[{
                VilCretas`InterseccionBooleana[
                VilCretas`Private`RBVl10$$, VilCretas`Private`RBVl11$$]}, 
               Null], "No existe", 
              VilCretas`InterseccionBooleana[
              VilCretas`Private`RBVl10$$, VilCretas`Private`RBVl11$$]]}], 
           Row[{"\[Not]A = ", 
             If[
              MemberQ[{
                VilCretas`ComplementoBooleano[VilCretas`Private`RBVl10$$]}, 
               Null], "No existe", 
              VilCretas`ComplementoBooleano[VilCretas`Private`RBVl10$$]]}], 
           Row[{"\[Not]B = ", 
             If[
              MemberQ[{
                VilCretas`ComplementoBooleano[VilCretas`Private`RBVl11$$]}, 
               Null], "No existe", 
              VilCretas`ComplementoBooleano[VilCretas`Private`RBVl11$$]]}], 
           Row[{"A\[CircleDot]B = ", 
             If[
              MemberQ[{
                VilCretas`ProductoBooleano[
                VilCretas`Private`RBVl10$$, VilCretas`Private`RBVl11$$]}, 
               Null], "No existe", 
              VilCretas`ProductoBooleano[
              VilCretas`Private`RBVl10$$, VilCretas`Private`RBVl11$$]]}], 
           Row[{"B\[CircleDot]A = ", 
             If[
              MemberQ[{
                VilCretas`ProductoBooleano[
                VilCretas`Private`RBVl11$$, VilCretas`Private`RBVl10$$]}, 
               Null], "No existe", 
              VilCretas`ProductoBooleano[
              VilCretas`Private`RBVl11$$, VilCretas`Private`RBVl10$$]]}]}], 
         VilCretas`Private`RBVl10$$ = {{1, 0, 0, 0}, {1, 1, 0, 0}, {1, 0, 1, 
           1}, {0, 1, 0, 0}}; 
         VilCretas`Private`RBVl11$$ = {{0, 0, 1, 0}, {0, 1, 0, 1}, {1, 0, 1, 
           0}, {1, 0, 1, 1}}], 
        VilCretas`Private`RBVl10$$ = {{1, 0, 0, 0}, {1, 1, 0, 0}, {1, 0, 1, 
          1}, {0, 1, 0, 0}}; 
        VilCretas`Private`RBVl11$$ = {{0, 0, 1, 0}, {0, 1, 0, 1}, {1, 0, 1, 
          0}, {1, 0, 1, 1}}], "Specifications" :> {
        Style[
        "Matrices booleanas", Bold, Medium], {{
         VilCretas`Private`RBVl10$$, {{1, 0, 0, 0}, {1, 1, 0, 0}, {1, 0, 1, 
          1}, {0, 1, 0, 0}}, "A ="}}, {{
         VilCretas`Private`RBVl11$$, {{0, 0, 1, 0}, {0, 1, 0, 1}, {1, 0, 1, 
          0}, {1, 0, 1, 1}}, "B ="}}, Delimiter, 
        Style["Operaciones con las matrices booleanas: ", Bold, Medium]}, 
      "Options" :> {Alignment -> Center}, "DefaultOptions" :> {}],
     ImageSizeCache->{569., {672.25, 684.75}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{3.81012907473785*^9, 3.810131322415165*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[9]:=",ExpressionUUID->"2d1ecf8e-43fb-4241-b50a-800d00ad6e46"]
}, Open  ]]
},
WindowToolbars->"EditBar",
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"bab93c83-e3cd-42bf-98d7-b62806e7fd54"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 402, 6, 63, "Input",ExpressionUUID->"60c16bf8-164a-4ac3-8516-f080db5d8c0d"],
Cell[CellGroupData[{
Cell[985, 30, 1205, 29, 582, "Input",ExpressionUUID->"9649f781-7e0f-48fb-a2d2-7b92f334dd8d"],
Cell[2193, 61, 796, 23, 211, "Output",ExpressionUUID->"e7b4d070-da99-4885-bf04-5ebadc679ec1"],
Cell[2992, 86, 796, 23, 211, "Output",ExpressionUUID->"4e748fc9-bfae-4ac0-9da0-c446195f7ace"],
Cell[3791, 111, 796, 23, 211, "Output",ExpressionUUID->"c5b9b200-a7f0-4867-b8ec-39a5a2fa11cc"],
Cell[4590, 136, 794, 23, 211, "Output",ExpressionUUID->"4c4c1db9-2905-4e1e-9f21-8db13b06ed92"],
Cell[5387, 161, 794, 23, 211, "Output",ExpressionUUID->"e549b3ed-0744-453b-af72-ac91e97ba7b8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6218, 189, 295, 5, 63, "Input",ExpressionUUID->"5c405a3b-1230-4647-b7ef-19713db4363d"],
Cell[6516, 196, 5552, 118, 1377, "Print",ExpressionUUID->"2d1ecf8e-43fb-4241-b50a-800d00ad6e46"]
}, Open  ]]
}
]
*)

